       IDENTIFICATION DIVISION.
       PROGRAM-ID.    TRAB1.

       ENVIRONMENT    DIVISION.
       CONFIGURATION  SECTION.
       SPECIAL-NAMES.
           DECIMAL-POINT IS COMMA.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
           SELECT ARQNOTAS ASSIGN TO "C:\COBOL\GERAL\ARQNT.DAT"
               ORGANIZATION IS SEQUENTIAL
               FILE STATUS IS FS-E.
           SELECT RELNOTAS ASSIGN TO PRINTER.

       DATA DIVISION.
       FILE SECTION.
       FD ARQNOTAS.
       01 REG-E.
           03 TURMA-E    PIC X(5).
           03 NR-E       PIC 9(2).
           03 ALUNO-E    PIC X(35).
           03 MAT-E      PIC X(12).
           03 MF-E       PIC 99V99.
           03 PF-E       PIC 999V9.

       FD RELNOTAS.
       01 REG-I          PIC X(80).

       WORKING-STORAGE SECTION.
       01 FS-E           PIC XX    VALUE SPACES.
       01 FS-S           PIC XX    VALUE SPACES.
       01 CP             PIC 999   VALUE 0.
       01 CL             PIC 99    VALUE 0.
       01 TURMA-AUX      PIC X(5)  VALUE SPACES.
       01 ALUNO-AUX      PIC X(35) VALUE SPACES.

       01 TIT.
           03 FILLER     PIC X(29) VALUE SPACES.
           03 FILLER     PIC X(23) VALUE "COLEGIO SAO JUDAS TADEU".
           03 FILLER     PIC X(19) VALUE SPACES.
           03 FILLER     PIC X(05) VALUE "PAG.:".
           03 N-PAG      PIC ZZ9   VALUE 0.
           03 FILLER     PIC X     VALUE SOACES.

       01 TIT1.
           03 FILLER     PIC X(25) VALUE SPACES.
           03 FILLER     PIC X(30) VALUE
                         "RELATORIO DE RESULTADOS FINAIS".
           03 FILLER     PIC X(25) VALUE SPACES.

       01 TIT2.
           03 FILLER     PIC X(12) VALUE SPACES.
           03 FILLER     PIC X(13)  VALUE "**** TURMA : ".
           03 TURMA-T2   PIC X(5)  VALUE SPACES.
           03 FILLER     PIC X(50) VALUE SPACES.

       01 TIT3.
           03 FILLER     PIC X(7)  VALUE " NUMERO".
           03 FILLER     PIC X(4)  VALUE SPACES.
           03 FILLER     PIC X(4)  VALUE "NOME".
           03 FILLER     PIC X(34) VALUE SPACES.
           03 FILLER     PIC X(7)  VALUE "MATERIA".
           03 FILLER     PIC X(7)  VALUE SPACES.
           03 FILLER     PIC X(10) VALUE "NOTA FINAL".
           03 FILLER     PIC X(3)  VALUE SPACES.
           03 FILLER     PIC X(4)  VALUE "A/R ".

       01 DET1.
           03 FILLER     PIC X(3)  VALUE SPACES.
           03 NR-DET1    PIC 99    VALUE 0.
           03 FILLER     PIC X(6)  VALUE SPACES.
           03 ALUNO-DET1 PIC X(6)  VALUE SPACES.
           03 FILLER     PIC X(3)  VALUE SPACES.
           03 MAT-DET1   PIC X(12) VALUE SPACES.
           03 FILLER     PIC X(5)  VALUE SPACES.
           03 MF-DET1    PIC Z9,99 VALUE 0.
           03 FILLER     PIC X(6)  VALUE SPACES.
           03 AR-DET1    PIC X     VALUE SPACES.
           03 FILLER     PIC X(2)  VALUE SPACES.

       01 DET2.
           03 FILLER     PIC X(49) VALUE SPACES.
           03 FILLER     PIC X(19) VALUE "RESULTADO FINAL  : ".
           03 RESULT     PIC X(10) VALUE SPACES.
           03 FILLER     PIC XX    VALUE SPACES.



